Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.lcs
Class LcsFriendStatusEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.im.FriendStatusEnum
                  |
                  +--com.compoze.collab.lcs.LcsFriendStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class LcsFriendStatusEnum
extends FriendStatusEnum
implements java.io.Serializable

The enumeration class that contains `LcsFriendStatus` elements.

See Also:
  Serialized Form

Field Summary
`static LcsFriendStatus` | `ACTIVE` Status indicates that the user is currently actively working at the workstation and wants to receive messages
`static LcsFriendStatus` | `AT_LUNCH` Status indicates that the user is out to lunch
`static LcsFriendStatus` | `AWAY` Status indicates that the user is currently not at the workstation
`static LcsFriendStatus` | `BUSY` Status indicates that the user is preoccupied and requests not to be disturbed
`static LcsFriendStatus` | `IN_CALL` Status indicates that the user is on the phone
`static int` | `NUM_ELEMENTS`
`static LcsFriendStatus` | `TEMPORARY_UNAVAILABLE` Status indicates that the user is temporarily unable to receive messages
`static LcsFriendStatus` | `TYPING` Status indicates that the user is using the keyboard
`static int` | `VALUE_ACTIVE`
`static int` | `VALUE_AT_LUNCH`
`static int` | `VALUE_AWAY`
`static int` | `VALUE_BUSY`
`static int` | `VALUE_IN_CALL`
`static int` | `VALUE_TEMPORARY_UNAVAILABLE`
`static int` | `VALUE_TYPING`

Fields inherited from class com.compoze.collab.im.FriendStatusEnum
`OFFLINE, VALUE_OFFLINE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `LcsFriendStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `LcsFriendStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ACTIVE

    public static final int VALUE_ACTIVE

### VALUE_TEMPORARY_UNAVAILABLE

    public static final int VALUE_TEMPORARY_UNAVAILABLE

### VALUE_IN_CALL

    public static final int VALUE_IN_CALL

### VALUE_AT_LUNCH

    public static final int VALUE_AT_LUNCH

### VALUE_AWAY

    public static final int VALUE_AWAY

### VALUE_TYPING

    public static final int VALUE_TYPING

### VALUE_BUSY

    public static final int VALUE_BUSY

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### ACTIVE

    public static final LcsFriendStatus ACTIVE

  Status indicates that the user is currently actively working at the workstation and wants to receive messages

### TEMPORARY_UNAVAILABLE

    public static final LcsFriendStatus TEMPORARY_UNAVAILABLE

  Status indicates that the user is temporarily unable to receive messages

### IN_CALL

    public static final LcsFriendStatus IN_CALL

  Status indicates that the user is on the phone

### AT_LUNCH

    public static final LcsFriendStatus AT_LUNCH

  Status indicates that the user is out to lunch

### AWAY

    public static final LcsFriendStatus AWAY

  Status indicates that the user is currently not at the workstation

### TYPING

    public static final LcsFriendStatus TYPING

  Status indicates that the user is using the keyboard

### BUSY

    public static final LcsFriendStatus BUSY

  Status indicates that the user is preoccupied and requests not to be disturbed

Constructor Detail

### LcsFriendStatusEnum

    protected LcsFriendStatusEnum(java.lang.Class elementClass,
                                  int iNumElements,
                                  com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                  EnumElement defaultElement,
                                  java.lang.String sInternalName,
                                  boolean bMaskable)

  Constructor.

### LcsFriendStatusEnum

    protected LcsFriendStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.